Debian Bug report logs - #578548
libjavascript-perl: FTBFS with Perl 5.12.0: long doubles

version graph

Package: libjavascript-perl; Maintainer for libjavascript-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 20 Apr 2010 17:54:01 UTC

Severity: important

Found in version libjavascript-perl/1.16-1

Fixed in version libjavascript-perl/1.16-2

Done: Damyan Ivanov <dmn@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=56830

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#578548; Package libjavascript-perl. (Tue, 20 Apr 2010 17:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 20 Apr 2010 17:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libjavascript-perl: FTBFS with Perl 5.12.0: long doubles
Date: Tue, 20 Apr 2010 20:50:45 +0300
Package: libjavascript-perl
Version: 1.16-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.12-transition

This package fails to build on amd64 with perl 5.12.0-1 from experimental:

 #   Failed test 'Negative doubles'
 #   at t/01-types-from-js.t line 24.
 #          got: '-1.10000000000000009'
 #     expected: '-1.1'
 
 #   Failed test 'Positive doubles'
 #   at t/01-types-from-js.t line 26.
 #          got: '1.10000000000000009'
 #     expected: '1.1'
 # Looks like you failed 2 tests of 20.
 t/01-types-from-js.t .............. 
 Dubious, test returned 2 (wstat 512, 0x200)
 Failed 2/20 subtests 
 
As the package built successfully in my earlier tests with 5.12.0~rc3-1,
the failure almost certainly happens because 5.12.0-1 is configured to
use long doubles (-Duselongdouble).
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#578548; Package libjavascript-perl. (Thu, 22 Apr 2010 18:57:03 GMT) Full text and rfc822 format available.

Message #8 received at 578548@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 578548@bugs.debian.org, 578548-submitter@bugs.debian.org
Subject: Bug in libjavascript-perl fixed in revision 56657
Date: Thu, 22 Apr 2010 18:55:45 +0000
tag 578548 + pending
thanks

Some bugs are closed in revision 56657
by Damyan Ivanov (dmn)

Commit message:

add a patch fixing tests for double numbers evaluation.
Closes: #578548 -- FTBFS with Perl 5.12.0: long doubles




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 22 Apr 2010 18:57:07 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#578548. (Thu, 22 Apr 2010 18:57:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=56830'. Request was from Damyan Ivanov <dmn@debian.org> to control@bugs.debian.org. (Thu, 22 Apr 2010 19:18:08 GMT) Full text and rfc822 format available.

Reply sent to Damyan Ivanov <dmn@debian.org>:
You have taken responsibility. (Thu, 22 Apr 2010 21:51:08 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Thu, 22 Apr 2010 21:51:08 GMT) Full text and rfc822 format available.

Message #20 received at 578548-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: 578548-close@bugs.debian.org
Subject: Bug#578548: fixed in libjavascript-perl 1.16-2
Date: Thu, 22 Apr 2010 21:50:56 +0000
Source: libjavascript-perl
Source-Version: 1.16-2

We believe that the bug you reported is fixed in the latest version of
libjavascript-perl, which is due to be installed in the Debian FTP archive:

libjavascript-perl_1.16-2.debian.tar.gz
  to main/libj/libjavascript-perl/libjavascript-perl_1.16-2.debian.tar.gz
libjavascript-perl_1.16-2.dsc
  to main/libj/libjavascript-perl/libjavascript-perl_1.16-2.dsc
libjavascript-perl_1.16-2_amd64.deb
  to main/libj/libjavascript-perl/libjavascript-perl_1.16-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578548@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dmn@debian.org> (supplier of updated libjavascript-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 22 Apr 2010 22:43:56 +0300
Source: libjavascript-perl
Binary: libjavascript-perl
Architecture: source amd64
Version: 1.16-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dmn@debian.org>
Description: 
 libjavascript-perl - module for executing embedded JavaScript
Closes: 578548
Changes: 
 libjavascript-perl (1.16-2) unstable; urgency=low
 .
   * add a patch fixing tests for double numbers evaluation.
     Closes: #578548 -- FTBFS with Perl 5.12.0: long doubles
   * add myself to Uploaders
Checksums-Sha1: 
 c232d764d8799407dbd5b89956d023b5d9e64148 2310 libjavascript-perl_1.16-2.dsc
 0a71899457c2a084025d57a96ccb8093fb39a1a2 7201 libjavascript-perl_1.16-2.debian.tar.gz
 004d4c297c90ba266ed50cc541a89db5c3c20c4e 97882 libjavascript-perl_1.16-2_amd64.deb
Checksums-Sha256: 
 bbfeff523028ed8586b95080bd0caf66469dae29daa582754ec5c3617d0ce4ee 2310 libjavascript-perl_1.16-2.dsc
 9f8e3602816714e5b293b4467f0a8882b44cc7f6374587cede48ebe687345f39 7201 libjavascript-perl_1.16-2.debian.tar.gz
 f6d5f549fa1f5f3f017157f947a0ad7115a8af42863673758d267aa6fbbf7823 97882 libjavascript-perl_1.16-2_amd64.deb
Files: 
 a9c6ee08a366411db7beceabb0362f5a 2310 perl optional libjavascript-perl_1.16-2.dsc
 7169cca978c7cfd8de02e00884e74797 7201 perl optional libjavascript-perl_1.16-2.debian.tar.gz
 b8d5356066668ebfe2a7bb33c6f0a22a 97882 perl optional libjavascript-perl_1.16-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJL0KeaAAoJEOQbTFV/DYC+pYoP/1/KJnlr53WwhZO7CEHF82Bl
F1Mb3qrtheetdtuug5xUBjZRwrBHOYo3RRnvP+FT2zwikzF1og5hakUmfoPtZoe2
Y4yjt57BzHC8HP+EjEaMQBnjgRRZkCP9xqUpGqCwOrUtMhD/rU4kNPLRiu02Oifv
0gYBT1lIkgWdIVF/fTpnrnKeUYvEQqQlRid8O94QUDc8dE2YqKzLZfR16kdGQtb1
mP6bFiz7drZIQqdeuiDSlyrGaYtrUq1bKE8ZHJgfesP6cbCJLOnpq4GWplswyFiY
/iaB2NczELIfhDCvWWkARa0VZl1FB0U+BNoc7lVah+3Jg54xnL1ptE/Un4lZiWId
bgfDt/5JkY8DTq65izf6QeHHqA94aIQEYQx9DEF7XSpHQ+sprPQTkOII1D+PPU3U
nbe8aggdy//uBRWFXB0LXP48ADY55CtP8/86LOO6T9kRwrtKFfjJ+yyTULt+hm5v
4cogax2NrTZRNwz5C8eyX7JvNZ9mlZGaPnZknjz04Y7Q+2RKIARqAFiuWxXd7l9l
kX7ofCCSR6OJ5DkLHHR4LwKklPTW1pkciFPkeasI9JpyKoRjMNNVNYHUhSeD8Whu
O+3jWPld0sPhulKbsWQl/p/YqnNEB3Hj2Zuatoj77V9caZ2F+futd2chBk+mSy7O
QiCkUgFF3VXgkfp49/cp
=0kgm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 May 2010 07:33:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:51:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.